Results 1 to 17 of 17
  1.    #1  
    Hello all!

    I'm addicted to MSN, and i was surprised when I heard that the Pre had no MSN IM option. So, naturally, i searched far and wide for FREE apps. However, the only apps that i could find were apps that cost money. I am an avid patcher. i love patching my phone, so when i couldn't find an app, i tried to search for a patch. i found a patch called "Messanger Plugin". I downloaded the ZIP file for the Pre, and read some instructions on how to install it. however, everytime i go to install the actual "patch file", i keep getting an error message. What am I doing wrong? This is how I've been doing it,

    1. extract the ZIP files.
    2. install the system files using WebOs QuickInstall
    3. Install the Patch file. (this is where i keep getting the error)
    4. (never got this far, because the patch file wouldn't install, but i'm supposed to install the plugins i want, [i.e, Live, facebook Chat, etc.])

    anything i'm missing? i have WebOs 1.4.5, on a Bell Pre.
  2. #2  
    http://forums.precentral.net/homebre...-your-pre.html

    These are the 3 files needed:
    org.webosinternals.messagingsysfiles_2.0.0_*.ipk - System Files
    org.webosinternals.messagingpatch_2.0.0_*.ipk - Main Patch
    org.webosinternals.messagingallplugins_2.0.0_*.ipk (Or Individual Plugin) - All Plugins or Individual Patches
  3. #3  
    What is the error msg that you are receiving? Maybe asking your question in the thread that Cylon posted would get you a quicker answer but i can assure you that they will ask for the error msg that your getting too.
  4. #4  
    do you have preware installed? i think preware needs to be intalled because it loads gnu
    Last edited by c_legaspi; 11/16/2010 at 10:36 PM.
  5. #5  
    You should move this thread into the official Messaging Plugin thread. The developer is there and all the people that subscribe to that thread will be able to help you better.

    Here is the link to the thread:

    http://forums.precentral.net/homebre...-your-pre.html

    Remember, the very first message in that thread, has a very detailed instructions on how to install all of the Messaging Plugins.

    Rob
    Robert L
    Astoria Queens, N.Y.C
    - Palm Pre (Sprint) - formally Palm Treo 650
    Version 1.4.1.1
    Sprint Configuration 2.3
    Model: P100EWW
    Hardware Version: A
    Firmware: CC1.4(510)

  6.    #6  
    What i'm getting from the link you posted is that im supposed to install something called IRC right?
  7.    #7  
    Check the attachment for the error i keep getting, and yes, i have preware..i dont understand why this isnt working :/
    Attached Images Attached Images
  8. #8  
    Quote Originally Posted by bubbatannous View Post
    What i'm getting from the link you posted is that im supposed to install something called IRC right?
    No?

    First, the Messaging Plugins patch contains a variety of Messaging Clients.

    Most importantly, if you are not yet up to speed on using Preware and WebOS Quick Install (version 3.14). Then you need to learn how to use those two applications. WebOS Quick Install needs to run on your PC, you use it to get 'Preware' installed, then after that you can use Preware for the rest of the Messaging Plugins installation. But personally, I prefer to use WebOS Quick Install to install the Messaging Plugins, this is the only app/patch that I rely on WebOS Quick Install.

    Greg (the developer) had provided a plugin for each of the different types of messaging clients out there. MSN Live Messenger being one of many that he developed.

    IRC is also one of the plugins.

    And the way his patch works, you can either install 'ALL' of the clients available, or just the individual one you want to have.

    In your case, you just want the MSN Live Messenger plugin, which is titled: Live Messenger Plugin

    The file in the zip package is named: org.webosinternals.messaginglive_2.0.0_armv7.ipk

    You really need to read the instructions very carefully otherwise you will make mistakes.

    If you have a Pre (Pre minus, or Pre Plus) not a Pixi or you are using the emulator you will need this file which is a zipped up file that contains all the plugins. And you need to install them in a certain order. You also need to install the GNU Patch (Install from Preware or Index of /feeds/webos-internals/ in eithe7 (Pre), armv6 (Pixi) or i686 (Emulator) called org.webosinternals.patch_2.5.9.X_*.ipk ). This is to be done first, before all the other patches.

    Here is the instructions that is listed in the very first post of that thread (if you got something else from my link, then it was wrong).

    MESSAGING PLUGINS
    =================

    Is a set of plugins which are added to the native Messaging application.

    SUPPORTED WEBOS
    =================

    1.2.X, 1.3.x and 1.4.x

    SUPPORTED PATCHES
    ==================
    NOTE: If you intend to use the patches below, they must be installed first

    Messaging notification repeat patch
    SMS tone patch

    AVAILABLE PLUGINS
    =================

    Live Messenger
    ICQ
    Jabber
    Sametime
    Office Communicator
    ICQ
    IRC
    Novell Groupwise
    Yahoo (Built-In but using later versions)
    Gtalk (Built-In but using later versions)
    AIM (Built-In but using later versions)
    Facebook (testing, available in seperate IPK only)
    Xfire

    DONATE
    ======

    https://www.paypal.com/cgi-bin/websc...if%3aNonHosted

    VERSION INFORMATION
    ===================


    • 2.4.0
      Fixed package dependancies
      Fixed selecting sametime icon when entering new IM.
      Fixed selecting gadu gadu icon when entering new IM.
      Fixed sametime appearance in the contacts application
      Fixed sametime send receive
      Fixed facebook showing previous chat history
      Fixed yahoo appending @yahoo.com to account name
      Fixed sametime appending @sametime.com to account name
      Fixed /vat/tmp/webosver error occuring
      Groupwise now works - Big thanks to bcorbino
      Updated Office Communicator Plugin
      Buddy list refresh button and refreshes on login. (This should fix the buddy list being empty after login)
      You can now select all plugin types in the contacts application.
      Messaging notification repeat patch support
      SMS tone patch support
    • 2.3.0
      SMS Tone support
      Facebook chat now added to all plugins
      "Accept bad cert" now catches more bad certificates
      Better cleanup of files during uninstall
      I now query the "submissions version" so we don't have the same issue that happened with 2.2
      All files are checked first to ensure patching will work
      Improved X-Fire account image
      X-Fire individual IPK now installs correctly
      Gadu-Gadu Support
      MYSpace support
      Patching now logs to /media/internal/webos-patches.log like other webos patches.
      Changed default groupwise port to 8300
      XFire server, port and version settings
      Minor update to how jabber loads contacts
      Added "Hide client ID" to sametime
    • 2.2.0
      Facebook should no longer resent the history. (I hope)
      Added "Remove account" to popup menu in account summary
      Added "Busy" to popup menu in account summary
      Changes "sign in" to "available" on popup menu in account summary
      Untrusted certificates can now be accepted. (Select True to "Accept Bad Cert" in preferences. This option will be disabled after login or reboot for security reasons. You only need to do this one per account. An error "Invalid security certificate" occurs if the certificate from the server is untrusted.


    KNOWN ISSUES
    =============================================

    • Can't add to buddy list (Coming soon...)

    How to login
    ================

    Yahoo: username or email
    MSN: email address
    Jabber: email (e.g. user@jabber.org)
    Sametime: username
    Office Communicator: email
    ICQ: ICQ number
    IRC: username@server (e.g. username@irc.freenode.net)
    Novell Groupwise: username@domain.com
    Facebook: username@domain.com
    Xfire: username

    How to use IRC
    ==============

    Its not pretty but it does give us more than we have now. I recommend wIRC from webos internals. Login to IRC. Hopefully it will connect and you will get an IRC window pop up. This window can be removed. Click new message/contact button (bottom left hand corner). Enter "/join #CHANNEL NAME" (E.g. /join #webos-internals). Then type anything in the message field and hit enter. IRC should now connect to the channel in a new window. The /join window can also now be closed.

    HOW TO INSTALL
    ==============

    Please note: There is three versions of "Messaging Plugins". One for Pre (armv7),

    one for Pixi (Arm6) and one for the emulator (i686).
    Please note: Preware and IPKG Service is required to install this patch.
    Please note: WebOS Patch is required to install this patch. (Download link below)
    Please note: This program should be uninstalled before performing a WebOS update.
    Please note: Installation will take some time. Be patient.

    Install using WebOS Quick Install (http://forums.precentral.net/homebre...k-install.html)

    Installation Order (Very Important)
    ===================================


    Extract downloaded zip file

    *********** REMOVE ANY EXISTING ACCOUNTS ***********
    *********** CLOSE EVERYTHING AND LOG OFF MESSAGING ***********

    GNU Patch (Install from Preware or Index of /feeds/webos-internals/ in either armv7 (Pre), armv6 (Pixi) or i686 (Emulator) called org.webosinternals.patch_2.5.9.X_*.ipk )

    org.webosinternals.messagingsysfiles_2.0.0_*.ipk - System Files
    org.webosinternals.messagingpatch_2.0.0_*.ipk - Main Patch
    org.webosinternals.messagingallplugins_2.0.0_*.ipk (Or Individual Plugin) - All Plugins or Individual Patches

    *********** RESTART LUNA ( Orange, Sym + R )************* (Otherwise no plugins will be shown)

    Download Links
    ==============

    Palm Pre
    http://users.tpg.com.au/gregroll//Me...0-Palm-Pre.zip

    Palm Pixi
    http://users.tpg.com.au/gregroll//Me...-Palm-Pixi.zip

    Emulator
    http://users.tpg.com.au/gregroll//Me...0-Palm-SDK.zip

    I am unable to attach here as the files are slightly too big!

    THANKS
    ================

    A big thanks to the following people for their help and support.

    Abyssul - very big thanks!
    SMKOUT333 - very big thanks!
    rwhitby - Main Page - WebOS Internals
    PuffTheMagic - PréYourMind | Free Opensource Pré Developer Hosting
    palm open source team - Welcome to opensource.palm.com - Palm
    jettero
    Pidgin (libpurple) developers - WhatIsLibpurple – Pidgin – Trac
    Adam - Lots of help with Office Communicator
    phillipah - Debugging and reworked debug script.

    Everyone on the forums that help out! Couldn't do this without you.
    Everyone who offered to help but due to timezone differences were unable to!

    WISH LIST
    =========

    Group twistees

    UNINSTALL
    =========

    There are two ways to uninstall.

    1 - Use Web OS Quick Install.
    2 - Preware


    Rob
    Robert L
    Astoria Queens, N.Y.C
    - Palm Pre (Sprint) - formally Palm Treo 650
    Version 1.4.1.1
    Sprint Configuration 2.3
    Model: P100EWW
    Hardware Version: A
    Firmware: CC1.4(510)

  9.    #9  
    I do have preware and webqi,i followed the order to install them (system files, patch, then the plugins i want), but, whenever i go to install the patch, an error comes up. See my post above with the attachment for a photo of the error i keep getting. i appreciate you trying to help me :]
  10. #10  
    i think you need to load the gnu patch first
  11.    #11  
    But i do have the GNU patch already..i installed it back in july when i first started installing patches and whatnot. Should i doctor my phone? if so, how do i do that?
  12. #12  
    I got same errors also. I have GNU Patch already also. The messaging patch cannot install so far....
  13. #13  
    Just out of curiosity:
    Why not just use GoogleTalk with some MSN transport?
  14. #14  
    Isn't there an IM client in the app catalog that supports MSN?

    Yes, it's a little pricey, but IM+ supports every IM service known to man. Or at least this man.
  15. #15  
    There are about 4 or 5 messaging client app in Palm's App Catalog but none of them are for free.

    It's been awhile since I been in this thread and not sure if user still needs help with this or not.

    Do NOT try and install the Messaging Plugins using Preware, it almost always fails!

    The best way to get this installed is to use WebOS Quick Install version 3.14.

    Try removing GNU patch first and start from scratch.

    Very important issue that has not been mentioned, make sure you are downloading the correct Messaging Plugins 'set'. There is a set for the Pre, there is a set for the Pixi and finally there is a set for the Emulator which is usually used only by developers.

    The Pre version has ARMV7 in the name, and it seems that there is new version that was released in the past few days and Greg has made a change in the documentation that is listed on the first page, that make it easier to download the correct version, or less likely that you would download the incorrect version.

    OK back to installing:

    I would recommend doing the following just to be safe, it is not usually necessary but since you are having issues just try my suggestion:

    Reboot your phone after each item you install, do each thing separately.

    Install GNU patch first, it's now up to version 2.5.9-4

    Second, install org.webosinternals.messagingsysfiles_2.6.0_armv7.ipk (Notice it's the SYS version)

    Third, install org.webosinternals.messagingpatch_2.6.0_armv7.ipk (Notice this is the PATCH)

    Forth, install either ALL the plugins (org.webosinternals.messagingallplugins_2.6.0_armv7.ipk) or just the particular one you want, in your case, you want MSN Messenger, or as it's called LIVE.. the file name should be: (org.webosinternals.messaginglive_2.0.1_armv7.ipk)

    You might notice after you unzip the MessagingPlugins download, that not all the files in that directory will have the same version numbers within their file names.

    The newest version is 2.60, so you should make sure that SYS is 2.60, PATCH is 2.60, ALL PLUGINS is version 2.60 but LIVE will be version 2.01. This is not a problem there, just maybe a little confusing.

    Hope this helps a little bit!

    Rob
    Robert L
    Astoria Queens, N.Y.C
    - Palm Pre (Sprint) - formally Palm Treo 650
    Version 1.4.1.1
    Sprint Configuration 2.3
    Model: P100EWW
    Hardware Version: A
    Firmware: CC1.4(510)

  16. kokyo's Avatar
    Posts
    2 Posts
    Global Posts
    14 Global Posts
    #16  
    thank you guys sharing, bubbatannous, did you work it out?
  17. #17  
    wrong thread.

Tags for this Thread

Posting Permissions